<template>
    <div align="center" style="height:100%;">
        <span v-for="(n,i) in numeroPronto" :key="i" :elevation="4" :style="n.style" class="line-zero font-weight-bold black--text">
            {{zerosEsquerda(n.value.id)}}<br>
        </span>
    </div>
</template>

<style lang="scss">
    .line-zero {
        line-height: 0.9;
        margin-top: 20px;
    }
</style>

<script>
    export default {
        name: 'Pronto',
        inject: [

        ],
        props: [
          'numeroPronto','outrosNumeros'
        ],
        data() {
            return {
                show: true,
            }
        },
        watch: {
          
        },
        methods: {
            zerosEsquerda: function (numero) {
                numero = numero.toString();
                while (numero.length < 4)
                    numero = "0" + numero;
                return numero;                
            },
        }
    }
</script>